html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  font-family: "Russo One", sans-serif;
}

.page-container {
  display: flex;
  flex-direction: column;
  min-height: 100%;
}

.background {
  height: 100vh;
  width: 100%;
  object-fit: cover;
  filter: brightness(0.5);
  pointer-events: none;
  user-select: none;
  opacity: 0.65;
}

.head {
  position: absolute;
  right: 32px;
  left: 40px;
  top: -150px;
  font-size: 24px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.link {
  color: white;
  text-decoration: none;
  font-size: 30px;
}

.link:hover {
  color: rgba(255, 255, 255, 0.8);
  text-decoration: none;
  font-size: 30px;
}

.logo {
  position: relative;
  scale: 1.2;
  left: 600px;
  pointer-events: none;
  user-select: none;
  position: relative;
  top: 350px;
}

.logo-button:hover {
  cursor: pointer;
}

.logo-button {
  width: 150px;
  height: 150px;
  position: relative;
  top: 220px;
  padding: 0;
  background: none;
  border: none;
}

.headline {
  position: absolute;
  left: 50px;
  top: 300px;
  color: rgb(204, 0, 204);
  font-size: 50px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.headline2 {
  position: absolute;
  left: 50px;
  top: 360px;
  color: white;
  font-size: 40px;
  width: 500px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.contact_note {
  font-size: 60px;
  color: rgb(204, 0, 204);
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.button {
  background-color: rgb(204, 0, 204);
  padding: 8px;
  border-radius: 8px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.map {
  height: 300px;
  padding: 30px 100px;
  display: flex;
  gap: 50px;
}

.half-width {
  width: 50%;
}

.text-map {
  font-size: 30px;
}

.h3 {
  text-align: center;
  font-size: 40px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.2);
}

.map a {
  color: rgb(0, 110, 255);
  text-decoration: none;
}

.protexts a {
  color: rgb(0, 110, 255);
  text-decoration: none;
}

.projectbutton {
  display: list-item;
  width: 100%;
  text-align: center;
  font-size: 30px;
  text-decoration: none;
  color: white;
  background-color: rgb(204, 0, 204);
  border-radius: 8px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.projectbutton:hover {
  display: list-item;
  width: 100%;
  text-align: center;
  font-size: 30px;
  text-decoration: none;
  color: rgba(255, 255, 255, 0.8);
  background-color: rgb(204, 0, 204);
  border-radius: 8px;
  text-shadow: 5px 5px rgba(0, 0, 0, 0.8);
}

.ytbng_git_button {
  position: relative;
  height: 90px;
  width: 400px;
  gap: 50px;
  object-fit: cover;
  border-radius: 30;
}

.muffin_site_git_button {
  position: relative;
  height: 90px;
  width: 400px;
  gap: 50px;
  object-fit: cover;
  border-radius: 30;
}

.muffin_clicker_git_button {
  position: relative;
  height: 90px;
  width: 400px;
  gap: 50px;
  object-fit: cover;
  border-radius: 30;
}

.protexts {
  width: 100%;
  font-size: 30px;
}

.projects {
  height: 300px;
  padding: 30px 100px;
  gap: 50px;
  display: flex;
}

.contact {
  height: 500px;
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
}

.content {
  flex: 1;
}

.footer {
  position: relative;
  bottom: -150px;
  background-color: #333;
  color: #fff;
  padding: 80px;
}

.footer-copy {
  position: relative;
  text-align: center;
}

.footer-contact a {
  position: relative;
  left: 10%;
  color: gray;
  text-decoration: none;
}

.footer-help a {
  position: relative;
  left: 20%;
  bottom: 38px;
  color: gray;
  text-decoration: none;
}

#ytbng_git {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

#ytbng_git img {
  width: 100%;
  height: auto;
}

#ms_git {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

#ms_git img {
  width: 100%;
  height: auto;
}

#fac_git {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

#fac_git img {
  width: 100%;
  height: auto;
}

#nex_git {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

#nex_git img {
  width: 100%;
  height: auto;
}

.navbar {
  font-family: calibri;
  padding-left: 15px;
  padding-right: 15px;
}

.sticky-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: rgb(220, 20, 60); /* Initial background color (non-transparent) */
  padding: 10px;
  z-index: 1000;
  transition: background-color 0.3s ease; /* Transition effect for smooth color change */
}

.sticky-header.transparent {
  background-color: rgba(220, 20, 60, 0.5); /* Background color with transparency */
}

.navdiv {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navlogo a {
  font-size: 35px;
  font-weight: 600;
  color: white;
  text-decoration: none;
}

.navitem {
  list-style: none;
  display: inline-block;
  text-decoration: none;
}
.navitem a {
  color: white;
  font-size: 18px;
  font-weight: bold;
  margin-right: 25px;
  text-decoration: none;
}

.top {
  padding-top: 75px;
}

.member_git_button {
  border-radius: 30px;
  position: relative;
  gap: 50px;
  object-fit: cover;
  height: 465px;
  width: 400px;
}

.member_git_button:hover {
  cursor: pointer;
}

.about-buttons button {
  position: relative;
  background-color: transparent;
  border: none;
  padding: 0;
}